Public Member Functions | List of all members
clan::Signal< FuncType > Class Template Reference
clanCore Signals

`#include <signal.h>`

## Public Member Functions
| Signal ()
Slot | connect (const std::function< FuncType > &func)
template<typename InstanceType , typename MemberFuncType >
Slot | connect (InstanceType instance, MemberFuncType func)
template<typename... Args>
void | operator() (Args...args)

The documentation for this class was generated from the following file:

- signal.h